<?php
/*
Plugin Name: Frontend Plugin List
Description: A plugin to display a list of all installed plugins on the frontend via shortcode.
Version: 1.0
Author: Your Name
*/

// Register the shortcode
add_shortcode('plugin_list', 'fpl_display_plugins');

function fpl_display_plugins() {
    // Get all plugins
    $all_plugins = get_plugins();

    // Start output buffering
    ob_start();
    ?>
    <div class="plugin-list">
        <h2>Installed Plugins</h2>
        <ul>
            <?php foreach ($all_plugins as $plugin_file => $plugin_data) : ?>
                <li>
                    <strong><?php echo esc_html($plugin_data['Name']); ?></strong><br>
                    <?php echo esc_html($plugin_data['Description']); ?>
                </li>
            <?php endforeach; ?>
        </ul>
    </div>
    <?php
    // Return the output
    return ob_get_clean();
}
